
!***************************************************************************
!  SproevalGlobals.f90 
!*
!* (C) Copyright 1986-2002 Rainbow Technologies, Inc. All rights reserved.
!
! Description : global vatiables for Sproeval evaluation program
! Purpose     : To demostrate the SentinelSuperPro API for Fortran languages
!               running under Windows.
!****************************************************************************

!****************************************************************************
!  Global data, parameters, and structures 
!****************************************************************************

module SproevalGlobals
	use dfwin
	use spromeps_Const 
	use spromeps_module
!!	use spromeps_constants	
	implicit none

	! global varibales for sprovel.f90
	integer(kind=2) :: status
	integer(kind=2) :: dataLen
	type(APIPACKET) :: RNBOpacket

	integer*4			    ret
	logical*4				lret
	! gobal varibles for write and overwrite passwords
	integer(kind=4) ::writePassword 
	Character*32 :: String_writePassword =''
	integer(kind=4) ::OW1Password 
	Character*32 :: String_OW1Password = ''
	integer(kind=4) ::OW2Password 
	Character*32 :: String_OW2Password = ''
	integer(kind=2) :: KeyIndex = 0

	character*200:: OutMessage  ! For output message string
	character*200 :: Boxtitle
	character*210 :: String_OutMessage !For output message string
	character(len=5) :: String_status ! for output status string value
	integer*4, parameter, public :: SIZEOFAPPNAME = 100


	!  Global data

	integer		ghInstance
	integer		ghModule
	integer		ghwndMain



end module
